-- everything about Malice schedules, including default schedule and maintenance window
MaliceCycle=6
MaxVariant=12
MaliceDefaultSchedule={}
MaliceDefaultSchedule[1]={1,2,3,4,5,6,7,8,9,10,11,12}
MaliceDefaultSchedule[2]={13,14,15,16,17,18,19,20,21,22,23,24}
MaliceDefaultSchedule[3]={25,26,27,28,29,30,31,32,33,34,35,12}
MaliceDefaultSchedule[4]={36,37,38,39,40,41,42,43,21,22,44,45}
MaliceDefaultSchedule[5]={25,46,47,48,49,50,51,52,9,10,53,24}
MaliceDefaultSchedule[6]={54,55,56,57,58,59,60,61,33,34,62,45}

resetDefaultMaliceSchedule=function()
	-- set schedule to default
	MaliceSchedule={}
	for day,dayData in ipairs(MaliceDefaultSchedule) do
		MaliceSchedule[day]={}
		for k,v in ipairs(dayData) do
			MaliceSchedule[day][k]=v
		end
	end
end
MaliceSchedule=PatchDataLoad(Turbine.DataScope.Account, pluginName.."MaliceSchedule")
if MaliceSchedule==nil then
	resetDefaultMaliceSchedule()
end

-- no need for fontsize, etc. as this window will only ever be used by me...
MaliceScheduleWindow=Turbine.UI.Lotro.Window()
MaliceScheduleWindow:SetSize(800,600)
MaliceScheduleWindow:SetPosition((displayWidth-MaliceScheduleWindow:GetWidth())/2,(displayHeight-MaliceScheduleWindow:GetHeight())/2)
MaliceScheduleWindow:SetText("Malice Schedule")

-- cycle day label
MaliceScheduleWindow.DayLabel=Turbine.UI.Label()
MaliceScheduleWindow.DayLabel:SetParent(MaliceScheduleWindow)
MaliceScheduleWindow.DayLabel:SetPosition(5,45)
MaliceScheduleWindow.DayLabel:SetSize(100,22)
MaliceScheduleWindow.DayLabel:SetFont(Turbine.UI.Lotro.Font.Verdana20)
MaliceScheduleWindow.DayLabel:SetText("Day:")

-- need a dropdown for Cycle Day
MaliceScheduleWindow.Day=DropDownList()
MaliceScheduleWindow.Day:SetParent(MaliceScheduleWindow)
MaliceScheduleWindow.Day:SetZOrder(1)
MaliceScheduleWindow.Day:SetSize(230,22)
MaliceScheduleWindow.Day:SetFont(Turbine.UI.Lotro.Font.Verdana20)
MaliceScheduleWindow.Day:SetPosition(MaliceScheduleWindow.DayLabel:GetLeft()+MaliceScheduleWindow.DayLabel:GetWidth()+5,MaliceScheduleWindow.DayLabel:GetTop())
MaliceScheduleWindow.Day:SetBackColor(Settings.BackColor)
MaliceScheduleWindow.Day:SetCurrentBackColor(Settings.BackColor)
MaliceScheduleWindow.Day:SetBorderColor(Settings.BackColor)
for k=1,MaliceCycle do
	MaliceScheduleWindow.Day:AddItem(k)
end

MaliceScheduleWindow.Day.SelectedIndexChanged=function()
	-- reselect the variant lists
	for k,v in MaliceScheduleWindow.VariantList do
	end
end

-- need a table of dropdowns for malice selection - this may get ugly since EVERY drop down should have all the malices available
-- variant label
MaliceScheduleWindow.VariantLabel={}
MaliceScheduleWindow.VariantList={}
do
	local variantList={}
	for k,v in ipairs(EpicVariant) do
		variantList[k]=v[1]
	end
	table.sort(variantList) -- default alpha sort

	for k=1, MaxVariant do
		-- create variant label
		MaliceScheduleWindow.VariantLabel[k]=Turbine.UI.Label()
		MaliceScheduleWindow.VariantLabel[k]:SetParent(MaliceScheduleWindow)
		MaliceScheduleWindow.VariantLabel[k]:SetSize(250,22)
		MaliceScheduleWindow.VariantLabel[k]:SetPosition(MaliceScheduleWindow.DayLabel:GetLeft(),MaliceScheduleWindow.DayLabel:GetTop()+MaliceScheduleWindow.DayLabel:GetHeight()+5+(k-1)*22)
		MaliceScheduleWindow.VariantLabel[k]:SetFont(Turbine.UI.Lotro.Verdana20)
		MaliceScheduleWindow.VariantLabel[k]:SetText("Variant "..tostring(k)..":")

		-- create dropdown for this variant
		MaliceScheduleWindow.VariantList[k]=DropDownList()
		MaliceScheduleWindow.VariantList[k]:SetParent(MaliceScheduleWindow)
		MaliceScheduleWindow.VariantList[k]:SetZOrder(1)
		MaliceScheduleWindow.VariantList[k]:SetSize(400,22)
		MaliceScheduleWindow.VariantList[k]:SetFont(Turbine.UI.Lotro.Font.Verdana20)
		MaliceScheduleWindow.VariantList[k]:SetPosition()
		MaliceScheduleWindow.VariantList[k]:SetBackColor(Settings.BackColor)
		MaliceScheduleWindow.VariantList[k]:SetCurrentBackColor(Settings.BackColor)
		MaliceScheduleWindow.VariantList[k]:SetBorderColor(Settings.BackColor)
		-- add variants to list
	end
end
