-- Mission schedules
-- Schedules are defined per area: name, days in cycle, dayfunction, dayone (note, dayone is no longer used since all cycles are calculated with dayone=1/1/1970 - or epoch time)
MissionArea={}
MissionArea[1]={"Umbar",1,function() return 1 end,nil}
MissionArea[2]={"Rivendell",1,function() return 1 end,nil}
MissionArea[3]={"Trestlebridge",1,function() return 1 end,nil}
MissionArea[4]={"Cardolan",9,function(day) return ({1,2,1,2,3,2,3,1,3})[day] end, 0}
MissionArea[5]={"Akr\195\162a-zahar",1,function() return 1 end,nil}
MissionArea[6]={"Ann\195\162k-khurfu",7,function(day) return day end, 0}
MissionArea[7]={"V\195\169rnozal",6,function(day) return day end, 0}

MissionNPC={}
-- mission NPCs are per area (for instance Horin appears in Annak-khurfu and Vernozal)
MissionNPC[1]={}
-- name, location description, ping mapID, ping location NS, ping location EW
MissionNPC[1][1]={"Malthak", "Inside the Bloody Eagle Tavern", 416, 73.8, 55.21}
MissionNPC[1][2]={"Deshra", "Inside the Bloody Eagle Tavern", 416, 73.76, 55.21}
MissionNPC[2]={}
MissionNPC[2][1]={"Celebl\195\173r", "West of the Last Homely House", 29, -29.62, -3.71}
MissionNPC[3]={}
MissionNPC[3][1]={"Radhril", "Trestlebridge Gate", 25, -17.73, -54.43}
MissionNPC[4]={}
MissionNPC[4][1]={"Baglan", "Gerwyn's Convoy", 369, -37.6, -49.82}
MissionNPC[4][2]={"Hithriel", "Herne", 369, -50.09, -44.69}
MissionNPC[4][3]={"Irvo Church", "Clegur", 368, -65.0, -29.32}
MissionNPC[5]={}
MissionNPC[5][1]={"Vorthur Smokebreath", "Inside Akr\195\162z-zahar", 413, 66.05, 49.15}
MissionNPC[6]={}
MissionNPC[6][1]={"Gl\195\179in", "Inside Ann\195\161k-khurfu", 266, 69.36, 47.58}
MissionNPC[6][2]={"H\195\179rin", "Inside Ann\195\161k-khurfu", 266, 69.38, 47.57}
MissionNPC[6][3]={"Scout-master Ausma", "Inside Ann\195\161k-khurfu", 266, 69.39, 47.58}
MissionNPC[7]={}
MissionNPC[7][1]={"H\195\179rin", "Inside Vernozal", 302, 60.75, 49.68}
MissionNPC[7][2]={"Scout-master Ausma", "Inside Vernozal", 302, 60.76, 49.69}

-- groups are per area, per granter - available missions for npc in area for day will be: MissionGroup[area][npc][MissionArea[area][3](day)]
MissionGroup={}
MissionGroup[1]={}
MissionGroup[1][1]={} -- Malthak
MissionGroup[1][1][1]={1,2,3,4,5,6}
MissionGroup[1][2]={} -- Deshra
MissionGroup[1][2][1]={7,8,9,10,11}
MissionGroup[2]={}
MissionGroup[2][1]={} -- Celeblir
MissionGroup[2][1][1]={12,13,14,15,16,17,18,19,20,21}
MissionGroup[3]={}
MissionGroup[3][1]={} -- Radhril
MissionGroup[3][1][1]={22,23,24,25,26,27,28,29,30,31}
MissionGroup[4]={}
MissionGroup[4][1]={} -- Baglan
--MissionGroup[4][1][1]={161,162,163,164,165}
--MissionGroup[4][1][2]={166,167,168,169}
--MissionGroup[4][1][3]={170,171,172,173,174}
MissionGroup[4][1][1]={170,171,172,173,174}
MissionGroup[4][1][2]={161,162,163,164,165}
MissionGroup[4][1][3]={166,167,168,169}
MissionGroup[4][2]={} -- Hithriel
--MissionGroup[4][2][1]={175,176,177,178}
--MissionGroup[4][2][2]={179,180,181,182,183}
--MissionGroup[4][2][3]={184,185,186,187,188}
MissionGroup[4][2][1]={184,185,186,187,188}
MissionGroup[4][2][2]={175,176,177,178}
MissionGroup[4][2][3]={179,180,181,182,183}
MissionGroup[4][3]={} -- Irvo Church
--MissionGroup[4][3][1]={189,190,191,192}
--MissionGroup[4][3][2]={193,194,195,196}
--MissionGroup[4][3][3]={197,198,199,200}
MissionGroup[4][3][1]={197,198,199,200}
MissionGroup[4][3][2]={189,190,191,192}
MissionGroup[4][3][3]={193,194,195,196}
MissionGroup[5]={}
MissionGroup[5][1]={} -- vorthur smokebreath
MissionGroup[5][1][1]={32,33,34,35,36,37,38,39,40,41}
MissionGroup[6]={}
MissionGroup[6][1]={} -- gloin
MissionGroup[6][1][1]={42,43} -- not sure what goes here, since these are missions that are available any day but can only be done once
MissionGroup[6][1][2]={42,43}
MissionGroup[6][1][3]={42,43}
MissionGroup[6][1][4]={42,43}
MissionGroup[6][1][5]={42,43}
MissionGroup[6][1][6]={42,43}
MissionGroup[6][1][7]={42,43}
MissionGroup[6][2]={} -- horin
MissionGroup[6][2][1]={55,56,57,58,59,60}
MissionGroup[6][2][2]={61,62,63,64,65,66,67,68}
MissionGroup[6][2][3]={69,70,71,72,73,74}
MissionGroup[6][2][4]={75,76,77,78,79,80,81}
MissionGroup[6][2][5]={82,83,84,85,86}
MissionGroup[6][2][6]={44,45,46,47,48,49}
MissionGroup[6][2][7]={50,51,52,53,54}
MissionGroup[6][3]={} -- ausma
MissionGroup[6][3][1]={99,100,101,102,103,104}
MissionGroup[6][3][2]={105,106,107,108}
MissionGroup[6][3][3]={109,110,111,112,113}
MissionGroup[6][3][4]={114,115,116,117}
MissionGroup[6][3][5]={118,119,120,121,122,123}
MissionGroup[6][3][6]={87,88,89,90,91}
MissionGroup[6][3][7]={92,93,94,95,96,97,98}
MissionGroup[7]={}
MissionGroup[7][1]={} -- horin
MissionGroup[7][1][1]={129,130,131}
MissionGroup[7][1][2]={132,133,134,135,136,137,138}
MissionGroup[7][1][3]={139,140,141,142,143}
MissionGroup[7][1][4]={124,125}
MissionGroup[7][1][5]={126}
MissionGroup[7][1][6]={127,128}
MissionGroup[7][2]={} -- ausma
MissionGroup[7][2][1]={157,158,159}
MissionGroup[7][2][2]={} -- no missions from ausma on day 5
MissionGroup[7][2][3]={160}
MissionGroup[7][2][4]={144,145,146,147}
MissionGroup[7][2][5]={148,149,150,151,152}
MissionGroup[7][2][6]={153,154,155,156}

